<?php
include 'header.php';
include 'erpc_estados_toolbar.php'; //Nome da tabela _list.php
include_once 'connect.php';

// Método para post de Query Avançada
	$consulta = "select * from erpc_estados where st_ativo = 1";

	//Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$ds_uf	    = trim($_POST['ds_uf']);
		$ds_estado	= trim($_POST['ds_estado']);
		$ds_capital	= trim($_POST['ds_capital']);
		$id_pais    = trim($_POST['id_pais']);

	    $consulta .= (!empty($ds_uf)  		? " and ds_uf     like '%$ds_uf%'"      : '');
			$consulta .= (!empty($ds_estado)  ? " and ds_estado like '%$ds_estado%'"  : '');
			$consulta .= (!empty($id_pais)  	? " and id_pais   like '%$id_pais%'"    : '');
	    $consulta .= (!empty($ds_capital) ? " and ds_capital  like '%$ds_capital%'" : '');

	}

?>
<div class="block">
  <div class="header">
  <h2>Estados</h2>
  </div>
  <div class="content">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
            <th width=10%>UF</th>
            <th width=40%>Descrição</th>
						<th width=40%>Capital</th>

            <th width=05%>Editar</th>
						<th width=05%>Excluir</th>
          </tr>
        </thead>
        <tbody>

          <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

						$ds_uf			= $registro['ds_uf'];
            $uf_crip	 	= base64_encode($ds_uf);
			  		$ds_estado	= $registro['ds_estado'];
						$ds_capital	= $registro['ds_capital'];

			    echo "<tr>";
            // echo "<td class='text-center'><input type='checkbox' /></td>";
            echo "<td>$ds_uf</td>";
            echo "<td>$ds_estado</td>";
						echo "<td>$ds_capital</td>";

            echo "<td class='text-center'><a href='erpc_estados_edit.php?uf=$uf_crip'>  <i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
            echo "<td class='text-center'><a href='erpc_estados_remove.php?uf=$uf_crip'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->

<?php include 'footer.php';?>
